Bug 193601 - texmaker: useless debuginfo package
texmaker: useless debuginfo package
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: texmaker (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On: 193602
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-30 17:25 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-08 17:14:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-05-30 17:25:25 EDT
texmaker's debuginfo package is useless:

$ rpm -qlp
http://fedoraproject.org/extras/development/i386/debug/texmaker-debuginfo-1.3-1.fc6.i386.rpm
(contains no files)

More info: http://fedoraproject.org/wiki/Packaging/Debuginfo
Comment 1 Deji Akingunola 2006-05-30 23:37:58 EDT
Thanks for this bug report, it's really a packaging error. i had not been
careful enough in properly checking exactly what's installed. texmaker actually
doesn't produce any architecture dependent library, so it should have been noarch.
Will correct this asap.

Deji 
Comment 2 Ville Skyttä 2006-05-31 02:13:47 EDT
/usr/bin/texmaker most certainly is not architecture independent:
texmaker: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), for
GNU/Linux 2.6.9, dynamically linked (uses shared libs), for GNU/Linux 2.6.9,
stripped
Comment 3 Deji Akingunola 2006-05-31 05:49:26 EDT
ok, i'm not sure what's happening here now. I noticed the qt4' qmake option of a
NO_DEBUG option in the old build log,can that be the source of the problem?
(http://buildsys.fedoraproject.org/logs/fedora-development-extras/9949-texmaker-1.3-1.fc6/i386/build.log).
Anyway, I'll try and go revert the 'noarch' changes.
Comment 4 Ville Skyttä 2006-05-31 13:45:13 EDT
The problem can be easily seen in the build log:
strip "/var/tmp/texmaker-1.3-1.fc6-root-mockbuild/usr/bin/texmaker"

Get rid of that wherever it comes from (and remove noarch) and that should be it.
Comment 5 Rex Dieter 2006-06-08 16:54:46 EDT
Appears to be qt4's fault, see bug #193602

Suggestions, workarounds, comments welcome.
Comment 6 Deji Akingunola 2006-06-08 17:14:30 EDT
(In reply to comment #5)
> Appears to be qt4's fault, see bug #193602
> 
> Suggestions, workarounds, comments welcome.
Yeah, and I've just worked around it in texmaker's spec by passing QMAKE_STRIP=
to qmake4.
"qmake4 -unix QMAKE_STRIP= PREFIX=u%{buildroot}%{_prefix} texmaker.pro"

Comment 7 Rex Dieter 2006-06-08 18:08:01 EDT
That's a much better workaround than the other idea(s) I had been
entertaining... thanks.

Or... another option is to set (in qt4) the default valute of QMAKE_STRIP to be
empty.  Opinions?
Comment 8 Deji Akingunola 2006-06-08 18:40:43 EDT
I've been wondering too, why is the default value 'strip'. If doesn't have
side-effects, please go ahead and make the default null in qt4.

Note You need to log in before you can comment on or make changes to this bug.